ros-rolling-rosidl-generator-py (0.23.1-1noble) noble; urgency=high

  * Add rosidl_generator_py to the rosidl_runtime_packages group (#212 <https://github.com/ros2/rosidl_python/issues/212>)
  * Contributors: Scott K Logan

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.23.0-1noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.22.0-1noble) noble; urgency=high

  * Revert install of .so files into python path (#211 <https://github.com/ros2/rosidl_python/issues/211>)
    There seems that some regression might have happened after #195 <https://github.com/ros2/rosidl_python/issues/195>.
    When removing those 2 lines, we avoid to install the .so files
    in lib *and* python path.
  * Contributors: Matthias Schoepfer

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.21.2-1noble) noble; urgency=high

  * Prototype code for seeing if FindPython3 is usable for rosidl_python (#140 <https://github.com/ros2/rosidl_python/issues/140>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 27 Mar 2024 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.21.1-1noble) noble; urgency=high

  * Add in a missing space. (#203 <https://github.com/ros2/rosidl_python/issues/203>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.21.0-1noble) noble; urgency=high

  * Install compiled libraries only to 'lib' (#195 <https://github.com/ros2/rosidl_python/issues/195>)
  * Contributors: Scott K Logan

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.20.0-1noble) noble; urgency=high

  * Fix: Missing dependency that causes cmake error in downstream (resolves https://github.com/ros2/rosidl_python/issues/198) (#199 <https://github.com/ros2/rosidl_python/issues/199>)
  * Contributors: Isaac Saito

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.19.0-1noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.18.0-1noble) noble; urgency=high

  * Hides the assertions that checks the data types of the message fields. (#194 <https://github.com/ros2/rosidl_python/issues/194>)
  * Contributors: Eloy Briceno

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.17.0-1noble) noble; urgency=high

  * Service introspection (#178 <https://github.com/ros2/rosidl_python/issues/178>)
  * [rolling] Update maintainers - 2022-11-07 (#189 <https://github.com/ros2/rosidl_python/issues/189>)
  * Contributors: Audrow Nash, Brian

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.16.1-1noble) noble; urgency=high

  * Remove stray numpy import (#185 <https://github.com/ros2/rosidl_python/issues/185>)
  * Contributors: Ben Wolsieffer

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.16.0-1noble) noble; urgency=high

  * man_farmer
    
    Fix NaN values bound numpy windows version (#182)
  * Allow NaN values to pass floating point bounds check. (#167 <https://github.com/ros2/rosidl_python/issues/167>)
  * Replace rosidl_cmake imports with rosidl_pycommon (#177 <https://github.com/ros2/rosidl_python/issues/177>)
  * Change decode error mode to replace (#176 <https://github.com/ros2/rosidl_python/issues/176>)
  * Merge pull request #173 <https://github.com/ros2/rosidl_python/issues/173> from ros2/quarkytale/fix_import_order
  * fix flake
  * sorting after conversion
  * Revert "Use modern cmake targets to avoid absolute paths to appear in binary archives (#160 <https://github.com/ros2/rosidl_python/issues/160>)" (#166 <https://github.com/ros2/rosidl_python/issues/166>)
  * Use modern cmake targets to avoid absolute paths to appear in binary archives (#160 <https://github.com/ros2/rosidl_python/issues/160>)
  * michel as author
  * adding maintainer
  * Contributors: Cristóbal Arroyo, Dharini Dutia, Ivan Santiago Paunovic, Jacob Perron, Tomoya Fujita, quarkytale, Øystein Sture

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.15.0-1noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.14.2-1noble) noble; urgency=high

  * Removes erroneous unmatched closing parenthesis (#125 <https://github.com/ros2/rosidl_python/issues/125>)
  * require Python 3.6 as we use format strings in various places (#152 <https://github.com/ros2/rosidl_python/issues/152>)
  * Contributors: Charles Cross, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.14.1-1noble) noble; urgency=high

  * Fix rosidl_generator_py assuming incorect library names (#149 <https://github.com/ros2/rosidl_python/issues/149>)
  * Fix for msg file containing a property field that is not at the end (#151 <https://github.com/ros2/rosidl_python/issues/151>)
  * Update package maintainers (#147 <https://github.com/ros2/rosidl_python/issues/147>)
  * Contributors: Chen Lihui, Michel Hidalgo, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.14.0-1noble) noble; urgency=high

  * Use rosidl_get_typesupport_target() (#139 <https://github.com/ros2/rosidl_python/issues/139>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.13.0-1noble) noble; urgency=high

  * Support available typesupport specification in CLI extension (#133 <https://github.com/ros2/rosidl_python/issues/133>)
  * Use python_d for test_cli_extension in Debug mode (#136 <https://github.com/ros2/rosidl_python/issues/136>)
  * Add missing float/double bounds check (#128 <https://github.com/ros2/rosidl_python/issues/128>)
  * Contributors: Michel Hidalgo, Seulbae Kim, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 16 Jul 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.12.0-1noble) noble; urgency=high

  * Added optimization for copying arrays using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>)
  * Add smoke test for CLI extension (#132 <https://github.com/ros2/rosidl_python/issues/132>)
  * Install generated Python interfaces in a Python package (#131 <https://github.com/ros2/rosidl_python/issues/131>)
  * Contributors: Michel Hidalgo, ksuszka

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 11 Jun 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.11.0-1noble) noble; urgency=high

  * Remove dependency from rosidl_typesupport_connext_c (#127 <https://github.com/ros2/rosidl_python/issues/127>)
  * Contributors: Andrea Sorbini

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.10.0-1noble) noble; urgency=high

  * Expose Python code generation via rosidl generate CLI (#123 <https://github.com/ros2/rosidl_python/issues/123>)
  * remove maintainer (#126 <https://github.com/ros2/rosidl_python/issues/126>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.4-1noble) noble; urgency=high

  * Update maintainers (#119 <https://github.com/ros2/rosidl_python/issues/119>)
  * Fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>)
  * Add pytest.ini so tests succeed locally. (#116 <https://github.com/ros2/rosidl_python/issues/116>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.3-1noble) noble; urgency=high

  * Add test_depend on rpyutils (#115 <https://github.com/ros2/rosidl_python/issues/115>)
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 19 May 2020 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.2-1noble) noble; urgency=high

  * Explicitly add DLL directories for Windows before importing (#113 <https://github.com/ros2/rosidl_python/issues/113>)
  * Force extension points to be registered in order (#112 <https://github.com/ros2/rosidl_python/issues/112>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.1-1noble) noble; urgency=high

  * Add test dependency on rosidl_typesupport_c_packages (#110 <https://github.com/ros2/rosidl_python/issues/110>)
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.0-1noble) noble; urgency=high

  * Ensure the Python support target links against the C generator target (#108 <https://github.com/ros2/rosidl_python/issues/108>)
  * Skip inoperable typesupport implementations (#107 <https://github.com/ros2/rosidl_python/issues/107>)
  * Update includes to use non-entry point headers from detail subdirectory (#105 <https://github.com/ros2/rosidl_python/issues/105>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#103 <https://github.com/ros2/rosidl_python/issues/103>)
  * Remove dependency on rmw_implementation (#102 <https://github.com/ros2/rosidl_python/issues/102>)
  * Added rosidl_runtime c and cpp depencencies (#100 <https://github.com/ros2/rosidl_python/issues/100>)
  * Move 'noqa: A003' for fields named like a builtin from property to method line (#101 <https://github.com/ros2/rosidl_python/issues/101>)
  * Add warnings for reserved Python keywords in interface members, services and actions (#96 <https://github.com/ros2/rosidl_python/issues/96>)
  * Code style only: wrap after open parenthesis if not in one line (#97 <https://github.com/ros2/rosidl_python/issues/97>)
  * Use f-string (#98 <https://github.com/ros2/rosidl_python/issues/98>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Samuel Lindgren

 -- Dharini Dutia <dharini@openrobotics.org>  Sat, 25 Apr 2020 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.8.1-1noble) noble; urgency=high

  * Enable tests for 'char' type fields (#91 <https://github.com/ros2/rosidl_python/issues/91>)
  * Refactor tests (#89 <https://github.com/ros2/rosidl_python/issues/89>)
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.8.0-1noble) noble; urgency=high

  * Find numpy headers in non-debian paths (#75 <https://github.com/ros2/rosidl_python/issues/75>) (#75 <https://github.com/ros2/rosidl_python/issues/75>)
  * Remove non-package from ament_target_dependencies() (#76 <https://github.com/ros2/rosidl_python/issues/76>)
  * Avoid multiple includes for nested array functions (#72 <https://github.com/ros2/rosidl_python/issues/72>)
  * Remove the padding member from structs which should be empty (#73 <https://github.com/ros2/rosidl_python/issues/73>)
  * Ensure the contents of the field are an array. (#63 <https://github.com/ros2/rosidl_python/issues/63>)
  * Make the message __repr__ for Python look nicer (#60 <https://github.com/ros2/rosidl_python/issues/60>)
    Before this patch, publishing a message with "ros2 topic pub" would print something like:
    ``publishing #5: my_msgs.msg.my_msg(axes=array('f', [0.0]))``
    While that is OK, it is kind of ugly.
    This patch hides the typecode and the "array" so that the output looks like:
    ``publishing #5: my_msgs.msg.my_msg(axes=[0.0])``
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Rich Mattes, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 25 Sep 2019 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.7.6-1noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.7.5-1noble) noble; urgency=high

  * Fix PYTHONPATH for test (#58 <https://github.com/ros2/rosidl_python/issues/58>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.7.4-1noble) noble; urgency=high

  * Encode/decode strings with UTF-8 (#57 <https://github.com/ros2/rosidl_python/issues/57>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.7.3-1noble) noble; urgency=high

  * Add missing numpy test dependency (#56 <https://github.com/ros2/rosidl_python/issues/56>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 08 May 2019 17:57:00 -0000

ros-rolling-rosidl-generator-py (0.7.2-1noble) noble; urgency=high

  * Fix conversion from C to Python in case a sequence has default values (#55 <https://github.com/ros2/rosidl_python/issues/55>)
  * Store types as tuple of abstract types (#33 <https://github.com/ros2/rosidl_python/issues/33>)
  * Add WString support (#47 <https://github.com/ros2/rosidl_python/issues/47>)
  * Use semantic exec_depend key for python3-numpy. (#48 <https://github.com/ros2/rosidl_python/issues/48>)
  * Fix boolean constant in Python mapping (#46 <https://github.com/ros2/rosidl_python/issues/46>)
  * Simplify code using updated definition API (#45 <https://github.com/ros2/rosidl_python/issues/45>)
  * Update code to match refactoring of rosidl definitions (#44 <https://github.com/ros2/rosidl_python/issues/44>)
  * Fix quoted strings for new flake8-quote check. (#42 <https://github.com/ros2/rosidl_python/issues/42>)
  * use quotes with least escaping for Python string literals (#43 <https://github.com/ros2/rosidl_python/issues/43>)
  * Remove obsolete argument mod_prefix (#41 <https://github.com/ros2/rosidl_python/issues/41>)
  * Contributors: Chris Lalancette, Dirk Thomas, Mikael Arguedas, Steven! Ragnarök

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 08 May 2019 16:58:00 -0000

ros-rolling-rosidl-generator-py (0.7.1-1noble) noble; urgency=high

  * Add numpy dependency to package.xml. (#39 <https://github.com/ros2/rosidl_python/issues/39>)
  * Contributors: Steven! Ragnarök

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 14 Apr 2019 12:48:00 -0000

ros-rolling-rosidl-generator-py (0.7.0-1noble) noble; urgency=high

  * Fix numpy usage for Windows debug builds (#36 <https://github.com/ros2/rosidl_python/issues/36>)
  * Fix compiler warning about unused variable in release mode (#35 <https://github.com/ros2/rosidl_python/issues/35>)
  * Map Arrays to numpy.ndarray() and Sequences to array.array() (#35 <https://github.com/ros2/rosidl_python/issues/35>)
  * Change generators to IDL-based pipeline (#24 <https://github.com/ros2/rosidl_python/issues/24>)
  * Ignore import order on generated imports (#29 <https://github.com/ros2/rosidl_python/issues/29>)
  * Provide type support for 'goal_status_array' in action type support
  * Fix flake8 error (#27 <https://github.com/ros2/rosidl_python/issues/27>)
  * Adds Python typesupport for Actions (#21 <https://github.com/ros2/rosidl_python/issues/21>)
  * Contributors: Alexis Pojomovsky, Dirk Thomas, Jacob Perron, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 14 Apr 2019 05:05:00 -0000

ros-rolling-rosidl-generator-py (0.6.2-1noble) noble; urgency=high

  * Throw on non-ascii characters in string and char message fields (#26 <https://github.com/ros2/rosidl_python/issues/26>)
  * Change uncrustify max line length to 0 (#25 <https://github.com/ros2/rosidl_python/issues/25>)
    This is for compatibility with uncrustify v0.68.
  * Contributors: Jacob Perron, Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 11 Jan 2019 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.6.1-1noble) noble; urgency=high

  * Replace deprecated collections usage with collections.abc (#23 <https://github.com/ros2/rosidl_python/issues/23>)
  * Adding a get_slot_fields_and_types method to python msg classes (#19 <https://github.com/ros2/rosidl_python/issues/19>)
  * Contributors: Dirk Thomas, Mike Lautman, Scott K Logan

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.6.0-1noble) noble; urgency=high

  * Allow generated IDL files (#17 <https://github.com/ros2/rosidl_python/issues/17>)
  * Rename dynamic array to sequence (#18 <https://github.com/ros2/rosidl_python/issues/18>)
  * Added support to msg/srv generation from within an action directory (#15 <https://github.com/ros2/rosidl_python/issues/15>)
  * Call conversion functions directly (#10 <https://github.com/ros2/rosidl_python/issues/10>)
    See #9 <https://github.com/ros2/rosidl_python/issues/9> for more details.
  * Fix rosidl target name assumptions (#12 <https://github.com/ros2/rosidl_python/issues/12>)
  * Contributors: Alexis Pojomovsky, Dirk Thomas, Martins Mozeiko, Shane Loretz, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.5.2-1noble) noble; urgency=high

  * Fixes memory leaks for nested fields (#7 <https://github.com/ros2/rosidl_python/issues/7>)
  * Prevent flake8-builtins A003 (#6 <https://github.com/ros2/rosidl_python/issues/6>)
  * Contributors: Martins Mozeiko, dhood

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.5.1-1noble) noble; urgency=high

  * Fix rosdep key for pytest (#4 <https://github.com/ros2/rosidl_python/issues/4>)
  * Use pytest instead of nose (#3 <https://github.com/ros2/rosidl_python/issues/3>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.5.0-1noble) noble; urgency=high

  * Add groups for generator and runtime packages (#283 <https://github.com/ros2/rosidl_python/issues/283>)
  * Support default values for string arrays (#197 <https://github.com/ros2/rosidl_python/issues/197>)
  * Generate __eq__ for Python messages (#281 <https://github.com/ros2/rosidl_python/issues/281>)
  * Add linter tests to message generators (#278 <https://github.com/ros2/rosidl_python/issues/278>)
  * Generate imports for assert only in debug mode (#277 <https://github.com/ros2/rosidl_python/issues/277>)
  * Use CMAKE_CURRENT_BINARY_DIR for arguments json (#268 <https://github.com/ros2/rosidl_python/issues/268>)
  * Declare missing dependency (#263 <https://github.com/ros2/rosidl_python/issues/263>)
  * Include directories before invoking rosidl_target_interfaces as the directories added in that macro may contain older version of the same files making them take precedence in the include path (#261 <https://github.com/ros2/rosidl_python/issues/261>)
  * 0.4.0
  * 0.0.3
  * 0.0.2
  * Contributors: Brian Gerkey, Dirk Thomas, Ernesto Corbellini, Esteve Fernandez, Hunter Allen, JD Yamokoski, Jackie Kay, Karsten Knese, Martins Mozeiko, Mikael Arguedas, William Woodall, dhood

 -- Dharini Dutia <dharini@openrobotics.org>  Sat, 23 Jun 2018 00:00:00 -0000


